Package com.xebialabs.xlrelease.domain.events

# Class TemplateVariablesChangedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.TemplateVariablesChangedEvent

All Implemented Interfaces:
  `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class TemplateVariablesChangedEvent extends Object implements XLReleaseEvent, scala.Product, Serializable
Event published when template variables are changed and need to be synced.

param: templateId template id param: templateVariables a mutable map of template variables

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateVariablesChangedEvent(String templateId, List<Variable> templateVariables)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TemplateVariablesChangedEvent`
  `apply(String templateId, List<Variable> templateVariables)`
  `boolean`
  `canEqual(Object x$1)`
  `TemplateVariablesChangedEvent`
  `copy(String templateId, List<Variable> templateVariables)`
  `String`
  `copy$default$1()`
  `List<Variable>`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `templateId()`
  `List<Variable>`
  `templateVariables()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,List<Variable>>>`
  `unapply(TemplateVariablesChangedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

  ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

  `timeMs, timestamp`

- ## Constructor Details

  - ### TemplateVariablesChangedEvent

    public TemplateVariablesChangedEvent(String templateId, List<Variable> templateVariables)

- ## Method Details

  - ### apply

    public static TemplateVariablesChangedEvent apply(String templateId, List<Variable> templateVariables)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,List<Variable>>> unapply(TemplateVariablesChangedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### templateId

    public String templateId()

  - ### templateVariables

    public List<Variable> templateVariables()

  - ### copy

    public TemplateVariablesChangedEvent copy(String templateId, List<Variable> templateVariables)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public List<Variable> copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`